Library Version 18.1.40

DB_ENV->get_tx_max()
Prev | Chapter 12. The DB_TXN Handle | Next

## DB_ENV->get_tx_max()

    #include <db.h>

    int
    DB_ENV->get_tx_max(DB_ENV *dbenv, u_int32_t *tx_maxp);

The `DB_ENV->get_tx_max()` method returns the maximum number of active transactions currently configured for the environment. You can manage this value using the DB_ENV->set_tx_max() method.

The `DB_ENV->get_tx_max()` method may be called at any time during the life of the application.

The `DB_ENV->get_tx_max()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### tx_maxp

The `DB_ENV->get_tx_max()` method returns the number of active transactions in tx_maxp.

### Class

DB_ENV, DB_TXN

### See Also

Transaction Subsystem and Related Methods, DB_ENV->set_tx_max()

Prev | Up | Next
DB_ENV->cdsgroup_begin() | Home | DB_ENV->get_tx_timestamp()